<template>
    <div class="games">
        <div class="games__row">
            <div class="games__col">
                <div class="game">
                    <router-link tag="a" :to="{name: 'jackpot'}" class="game__header" :class="[page == 'jackpot' ? 'game__header_active' : '']">
                        <div class="game__icon">
                            <svg class="icon">
                                <use xlink:href="/assets/img/symbols.svg?v=1#icon-flip"></use>
                            </svg>
                        </div>
                        Jackpot
                    </router-link>
                </div>
            </div>
            <div class="games__col">
                <div class="game">
                    <router-link tag="a" :to="{name: 'dice'}" class="game__header" :class="[page == 'dice' ? 'game__header_active' : '']">
                        <div class="game__icon"><img width="100%" src="/assets/img/icon/games/dice.svg" alt="Dice" /></div>
                        Dice
                    </router-link>
                </div>
            </div>
            <div class="games__col">
                <div class="game">
                    <router-link tag="a" :to="{name: 'mines'}" class="game__header" :class="[page == 'mines' ? 'game__header_active' : '']">
                        <div class="game__icon">
                            <svg class="icon">
                                <use xlink:href="/assets/img/symbols.svg?v=1#icon-mines"></use>
                            </svg>
                        </div>
                        Mines
                    </router-link>
                </div>
            </div>
            <!-- <div class="games__col">
                <div class="game">
                    <router-link tag="a" :to="{name: 'slots'}" class="game__header" :class="[page == 'slots' ? 'game__header_active' : '']">
                        <div class="game__icon"><img width="100%" src="/assets/img/icon/games/slots.svg" alt="Slots" /></div>
                        Slots
                    </router-link>
                </div>
            </div> -->
            <!-- <div class="games__col">
                <div class="game">
                    <router-link tag="a" :to="{name: 'bubbles'}" class="game__header" :class="[page == 'bubbles' ? 'game__header_active' : '']">
                        <div class="game__icon"><img width="100%" src="/assets/img/icon/games/bubbles.svg" alt="Bubbles" /></div>
                        Bubbles
                    </router-link>
                </div>
            </div> -->
        </div>
    </div>
</template>

<script>
export default {
    props: ['page']
}
</script>

<style scoped>
.games {
    width: 100%;
}
.games__row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 32px 57px;
    border-bottom: 1px solid #edf0fe;
    background: #fff;
    border-radius: 8px 8px 0 0;
}
@media (max-width: 62em) {
    .games__row {
        padding: 24px 33px;
    }
}
.game,
.game__header {
    text-decoration: none;
}
.game__header {
    display: flex;
    align-items: center;
    font-size: 20px;
    line-height: 23px;
    color: #b6b0d7;
    font-weight: 700;
}
@media (max-width: 62em) {
    .game__header {
        flex-direction: column;
    }
}
.game__header_disabled {
    opacity: 0.4;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    filter: grayscale(100%);
    cursor: unset;
    pointer-events: none;
}
.game__header_active {
    color: #2c80ff;
}
.game__header_active > .game__icon {
    background: #2c80ff;
    box-shadow: 0 25px 65px rgba(49, 94, 251, 0.45);
}
.game__icon {
    width: 45px;
    height: 45px;
    background: #2c2d33;
    border-radius: 15px;
    padding: 10px;
    display: flex;
    margin-right: 15px;
}
.game__icon > svg.icon {
    fill: #fff;
    transform: scale(.85);
}
@media (max-width: 62em) {
    .game__icon {
        margin-right: 0;
        margin-bottom: 8px;
    }
}
</style>
